Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 399061 - app-portage/gentoolkit-dev-0.2.8 : ekeyword does not work when the line does not start with KEYWORDS ( [[ ${PV} == 9999 ]] || KEYWORDS="" )
Summary: app-portage/gentoolkit-dev-0.2.8 : ekeyword does not work when the line does ...
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Tools (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage Tools Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-16 11:50 UTC by Agostino Sarubbo
Modified: 2017-04-05 11:28 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2012-01-16 11:50:09 UTC
Ekeyword does not work in all cases. The best example is from libreoffice ebuild:

#Grep amd64 from ebuild, results as ~arch
ago@devil libreoffice $ grep amd64 libreoffice-3.4.5.2.ebuild 
[[ ${PV} == *9999* ]] || KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
 
#I keyword for amd64
ago@devil libreoffice $ ekeyword amd64 libreoffice-3.4.5.2.ebuild 
libreoffice-3.4.5.2.ebuild

#I check if it has done and results always ~amd64
ago@devil libreoffice $ grep amd64 libreoffice-3.4.5.2.ebuild 
[[ ${PV} == *9999* ]] || KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
Comment 1 Agostino Sarubbo gentoo-dev 2012-08-09 22:03:53 UTC
ping
Comment 2 SpanKY gentoo-dev 2014-01-20 05:40:56 UTC
i've rewritten ekeyword in python from scratch and made sure this is handled

http://git.overlays.gentoo.org/gitweb/?p=proj/gentoolkit.git;a=commitdiff;h=840bf7e8df3c86e161f7855a37b008b5cf16f2d8
Comment 3 Agostino Sarubbo gentoo-dev 2014-07-14 16:04:51 UTC
It's fine that you fixed it upstream but after 6 months I don't see a new version of the package in the tree
Comment 4 Pacho Ramos gentoo-dev 2015-05-15 09:08:23 UTC
Just hitted again with libav-11.3.ebuild
Comment 5 SpanKY gentoo-dev 2016-03-29 08:35:07 UTC
(In reply to Agostino Sarubbo from comment #3)

new releases are an orthogonal issue.  but 0.3.0 is in the tree now.